# Schema definitions for Whisper files. Entries are scanned in order,
# and first match wins. This file is scanned for changes every 60 seconds.
#
# Definition Syntax:
#
#    [name]
#    pattern = regex
#    retentions = timePerPoint:timeToStore, timePerPoint:timeToStore, ...
#
# Remember: To support accurate aggregation from higher to lower resolution
#           archives, the precision of a longer retention archive must be
#           cleanly divisible by precision of next lower retention archive.
#
#           Valid:    60s:7d,300s:30d (300/60 = 5)
#           Invalid:  180s:7d,300s:30d (300/180 = 3.333)
#
# This retention is set at the time the first metric is sent.
# Changing this file will not affect already-created .wsp files.
# Use whisper-resize.py to change existing data files.

# Carbon's internal metrics. This entry should match what is specified in
# CARBON_METRIC_PREFIX and CARBON_METRIC_INTERVAL settings
{% for key, value in graphite_carbon_storage_local.items()|default({}) %}
[{{ key }}]
pattern = {{ value['pattern'] }}
retentions = {{ value['retentions']|join(',')}}

{% endfor %}
{% for key, value in graphite_carbon_storage.items() %}
[{{ key }}]
pattern = {{ value['pattern'] }}
retentions = {{ value['retentions']|join(',')}}

{% endfor %}
